> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Fees

> API reference for fetching payout fees for Stablecoin and Fiat transactions

Retrieves payout fees for both Stablecoin and Fiat transactions.
Required parameters differ based on currency\_type (defaults to STABLECOIN).


## OpenAPI

````yaml GET /payouts/fees
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /payouts/fees:
    get:
      tags:
        - payouts
      summary: Fetch fees for Stablecoin or Fiat payouts
      description: >
        Retrieves payout fees for both Stablecoin and Fiat transactions.

        Required parameters differ based on currency_type (defaults to
        STABLECOIN).
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: amount
          in: query
          description: The amount to calculate fees for
          required: true
          schema:
            type: number
            format: float
          example: 500
        - name: currency_type
          in: query
          description: |
            Type of currency (STABLECOIN or FIAT).
            Defaults to STABLECOIN if not specified.
          schema:
            type: string
            enum:
              - STABLECOIN
              - FIAT
            default: STABLECOIN
          example: FIAT
        - name: from_currency
          in: query
          description: Source currency code (e.g., usdc)
          required: true
          schema:
            type: string
            enum:
              - usdc
          example: usdc
        - name: network
          in: query
          description: |
            Blockchain network (required for STABLECOIN).
            Example: erc20, polygon, etc.
          schema:
            type: string
          example: erc20
        - name: to_currency
          in: query
          description: |
            Target fiat currency code (required for FIAT).
            Example: ngn, zar, etc.
          schema:
            type: string
            enum:
              - usdc
              - ngn
              - zar
          example: ngn
        - name: market_pair
          in: query
          description: Optional filter for FIAT specific market pairs (e.g., usdcngn)
          schema:
            type: string
            enum:
              - usdcngn
              - usdczar
              - usdcusdc
          example: usdcngn,usdczar, usdcusdc
      responses:
        '200':
          description: OK
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Vary:
              schema:
                type: string
              example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            RateLimit-Policy:
              schema:
                type: string
              example: 60;w=60
            RateLimit-Limit:
              schema:
                type: integer
              example: '60'
            RateLimit-Remaining:
              schema:
                type: integer
              example: '59'
            RateLimit-Reset:
              schema:
                type: integer
              example: '60'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '119'
            ETag:
              schema:
                type: string
              example: W/"77-2yoqITbJUHTq3WdWeYPk7g5HjE8"
            Date:
              schema:
                type: string
              example: Fri, 09 May 2025 15:09:01 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          content:
            application/json:
              schema:
                type: object
              examples:
                stablecoinSuccess:
                  summary: Stablecoin Success Example
                  value:
                    status: success
                    data:
                      fees:
                        currency_type: STABLECOIN
                        fee_type: percentage
                        fee_value: '0.2000'
                      otherFee:
                        currency: usdc
                        network: erc20
                        fee: '1.00'
                fiatSuccess:
                  summary: Fiat Success Example
                  value:
                    status: success
                    data:
                      fees:
                        - currency_type: FIAT
                          fee_type: percentage
                          fee_value: '0.2000'
                          from_currency: USDC
                          to_currency: ZAR
                          market_pair: usdczar
                          exchange_rate: '16.6719215'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        example: failed
                      message:
                        type: string
                        example: Bad Request
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              example: field
                            value:
                              type: string
                              example: '0.1'
                            msg:
                              type: string
                              example: Amount must be at least 1
                            path:
                              type: string
                              example: amount
                            location:
                              type: string
                              example: query
                  - type: object
                    properties:
                      status:
                        type: string
                        example: failed
                      message:
                        type: string
                        example: >-
                          Insufficient amount. You need at least 2.10 USDC to
                          proceed.
                      data:
                        type: object
                        properties:
                          minimum_required_amount:
                            type: string
                            example: '2.10'
                          fee:
                            type: string
                            example: '1.105'
                          current_amount:
                            type: string
                            example: '1.00'
              examples:
                validationError:
                  value:
                    status: failed
                    message: Bad Request
                    errors:
                      - type: field
                        value: '0.1'
                        msg: Amount must be at least 1
                        path: amount
                        location: query
                insufficientAmount:
                  value:
                    status: failed
                    message: >-
                      Insufficient amount. You need at least 2.10 USDC to
                      proceed.
                    data:
                      minimum_required_amount: '2.10'
                      fee: '1.105'
                      current_amount: '1.00'
                invalidCurrencyType:
                  value:
                    status: failed
                    message: Bad Request
                    errors:
                      - type: field
                        value: crypto
                        msg: currency_type must be either STABLECOIN or FIAT
                        path: currency_type
                        location: query
                missingNetwork:
                  value:
                    status: failed
                    message: Bad Request
                    errors:
                      - type: field
                        value: null
                        msg: network is required for STABLECOIN transactions
                        path: network
                        location: query
                missingToCurrency:
                  value:
                    status: failed
                    message: Bad Request
                    errors:
                      - type: field
                        value: null
                        msg: to_currency is required for FIAT transactions
                        path: to_currency
                        location: query

````